use crate::types::Linedef;

pub struct LinedefLump {
    pub linedefs: Vec<Linedef>,
}

impl LinedefLump {
    pub fn get_linedef(&self, pos: usize) -> Linedef {
        self.linedefs[pos].to_owned()
    }

    pub fn get_all_linedefs(&self) -> Vec<Linedef> {
        self.linedefs.to_vec()
    }

    pub fn get_num_linedefs(&self) -> usize {
        self.linedefs.len()
    }
}
